package com.steerinfo.ems.tcm0315.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TCm0315 implements IBasePO<String> {
    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录ID",required=false)
    private String recordid;

    /**
     * 监测部门(POWERDETECDEPARTMENT,VARCHAR,400)
     */
    @ApiModelProperty(value="监测部门",required=true)
    private String powerdetecdepartment;

    /**
     * 监测点名称(POWERMONITORNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="监测点名称",required=true)
    private String powermonitorname;

    /**
     * 系统名称(POWERSYSTEMNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="系统名称",required=true)
    private String powersystemname;

    /**
     * 监测频次(DETECTIONF,VARCHAR,400)
     */
    @ApiModelProperty(value="监测频次",required=true)
    private String detectionf;

    /**
     * 制定年度(CREATYEAR,VARCHAR,400)
     */
    @ApiModelProperty(value="制定年度",required=true)
    private String creatyear;

    /**
     * 标准指标下限(LOWERLIMIT,VARCHAR,400)
     */
    @ApiModelProperty(value="标准指标下限",required=true)
    private String lowerlimit;

    /**
     * 标准指标上限(UPPERLIMIT,VARCHAR,400)
     */
    @ApiModelProperty(value="标准指标上限",required=true)
    private String upperlimit;

    /**
     * 单位(UNIT,VARCHAR,400)
     */
    @ApiModelProperty(value="单位",required=true)
    private String unit;

    /**
     * 选定的监测项目(SITEM,VARCHAR,4000)
     */
    @ApiModelProperty(value="选定的监测项目",required=true)
    private String sitem;

    /**
     * 时间粒度(TIMEGRANID,VARCHAR,40)
     */
    @ApiModelProperty(value="时间粒度",required=true)
    private String timegranid;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.recordid;
    }

    @Override
    public void setId(String recordid) {
        this.recordid = recordid;
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null :recordid.trim();
    }

    public String getPowerdetecdepartment() {
        return powerdetecdepartment;
    }

    public void setPowerdetecdepartment(String powerdetecdepartment) {
        this.powerdetecdepartment = powerdetecdepartment == null ? null : powerdetecdepartment.trim();
    }

    public String getPowermonitorname() {
        return powermonitorname;
    }

    public void setPowermonitorname(String powermonitorname) {
        this.powermonitorname = powermonitorname == null ? null : powermonitorname.trim();
    }

    public String getPowersystemname() {
		return powersystemname;
	}

	public void setPowersystemname(String powersystemname) {
		this.powersystemname = powersystemname;
	}

	public String getDetectionf() {
        return detectionf;
    }

    public void setDetectionf(String detectionf) {
        this.detectionf = detectionf == null ? null : detectionf.trim();
    }

    public String getCreatyear() {
        return creatyear;
    }

    public void setCreatyear(String creatyear) {
        this.creatyear = creatyear == null ? null : creatyear.trim();
    }

    public String getLowerlimit() {
        return lowerlimit;
    }

    public void setLowerlimit(String lowerlimit) {
        this.lowerlimit = lowerlimit == null ? null : lowerlimit.trim();
    }

    public String getUpperlimit() {
        return upperlimit;
    }

    public void setUpperlimit(String upperlimit) {
        this.upperlimit = upperlimit == null ? null : upperlimit.trim();
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit == null ? null : unit.trim();
    }

    public String getSitem() {
        return sitem;
    }

    public void setSitem(String sitem) {
        this.sitem = sitem == null ? null : sitem.trim();
    }

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid == null ? null : timegranid.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", recordid=").append(recordid);
        sb.append(", powerdetecdepartment=").append(powerdetecdepartment);
        sb.append(", powermonitorname=").append(powermonitorname);
        sb.append(", powersystemname=").append(powersystemname);
        sb.append(", detectionf=").append(detectionf);
        sb.append(", creatyear=").append(creatyear);
        sb.append(", lowerlimit=").append(lowerlimit);
        sb.append(", upperlimit=").append(upperlimit);
        sb.append(", unit=").append(unit);
        sb.append(", sitem=").append(sitem);
        sb.append(", timegranid=").append(timegranid);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}